# This package contains macros that provide functionality relating to
# Software Collections. These macros are not used in default
# Fedora builds, and should not be blindly copied or enabled.
# Specifically, the "scl" macro must not be defined in official Fedora
# builds. For more information, see:
# http://docs.fedoraproject.org/en-US/Fedora_Contributor_Documentation
# /1/html/Software_Collections_Guide/index.html

%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name domain_name

%if "%{?scl}" == "ruby193"
    %global scl_prefix %{scl}-
    %global scl_ruby /usr/bin/ruby193-ruby
    %global scl_rake /usr/bin/ruby193-rake
    ### TODO temp disabled for SCL
    %global nodoc 1
%else
    %global scl_ruby /usr/bin/ruby
    %global scl_rake /usr/bin/rake
%endif

Summary:    This is a Domain Name manipulation library for Ruby.
Name:       %{?scl_prefix}rubygem-%{gem_name}
Version:    0.5.20180417
Release:    1%{?dist}
Group:      Development/Languages
License:    BSD-2-Clause and BSD-3-Clause and MPL-2.0
URL:        https://github.com/knu/ruby-domain_name
Source0:    https://rubygems.org/downloads/%{gem_name}-%{version}.gem

BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
Requires: %{?scl_ruby}
Requires: %{?scl_prefix}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(unf) < 1.0.0
Requires: %{?scl_prefix}rubygem(unf) >= 0.0.5
BuildRequires: %{?scl_ruby}
BuildRequires: %{?scl_prefix}rubygems
BuildRequires: %{?scl_prefix}rubygems-devel

%description
%{name} is a Domain Name manipulation library for Ruby.

%package doc
Summary:    Documentation for rubygem-%{gem_name}
BuildArch:  noarch
Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}

%description doc
This is a Domain Name manipulation library for Ruby.

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0} --no-rdoc --no-ri
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{foreman_bundlerd_dir}

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/data
%{gem_libdir}
%{gem_instdir}/tool
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/domain_name.gemspec
%{gem_instdir}/test

%changelog
* Thu May 17 2018 Rich Megginson <rmeggins@redhat.com> - 0.5.20180417-1
- updated version to 0.5.20180417

* Thu Jun 29 2017 Rich Megginson <rmeggins@redhat.com> - 0.5.20170404-2
- fix bogus date in changelog

* Thu Jun 29 2017 Rich Megginson <rmeggins@redhat.com> - 0.5.20170404-1
- updated version to 0.5.20170404

* Mon Dec 12 2016 Rich Megginson <rmeggins@redhat.com> - 0.5.20161129-1
- updated version to 0.5.20161129

* Fri Nov  4 2016 Rich Megginson <rmeggins@redhat.com> - 0.5.20161021-1
- updated version to 0.5.20161021

* Fri Sep 16 2016 Rich Megginson <rmeggins@redhat.com> - 0.5.20160826-1
- updated version to 0.5.20160826

* Mon Aug 15 2016 Rich Megginson <rmeggins@redhat.com> 0.5.20160615-2
- added dependency on unf

* Thu Aug 11 2016 Rich Megginson <rmeggins@redhat.com> 0.5.20160615-1
- updated to version 0.5.20160615

* Wed Apr 22 2015 Jason Montleon <jmontleo@redhat.com> 0.5.24-1
- new package built with tito

